Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.xmpp
Class XmppConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.xmpp.XmppConnector

All Implemented Interfaces:
  EventListener, javax.resource.spi.work.WorkListener, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, NamedObject, Connectable, Connector

    public class XmppConnector

extends AbstractConnector

`XmppConnector` represents a connection to a Jabber server.

Field Summary
`static String` | `XMPP`
`static String` | `XMPP_FROM`
`static String` | `XMPP_GROUP_CHAT`
`static String` | `XMPP_NICKNAME`
`static String` | `XMPP_RECIPIENT`
`static String` | `XMPP_RESOURCE`
`static String` | `XMPP_SUBJECT`
`static String` | `XMPP_THREAD`
`static String` | `XMPP_TO`
`static String` | `XMPP_TYPE`

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatcherPoolFactory, dispatchers, initialStateStopped, lifecycleManager, logger, muleContext, muleMessageFactory, name, numberOfConcurrentTransactedReceivers, PROPERTY_POLLING_FREQUENCY, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`XmppConnector(MuleContext context)`

Method Summary
`protected void` | `connectToJabberServer()`
`protected void` | `createXmppConnection()`
`protected void` | `doConnect()` Template method where any connections should be made for the connector
`protected void` | `doDisconnect()` Template method where any connected resources used by the connector should be disconnected
`protected void` | `doDispose()` Template method to perform any work when destroying the connectoe
`protected void` | `doInitialise()`
`protected void` | `doStart()` Template method to perform any work when starting the connectoe
`protected void` | `doStop()` Template method to perform any work when stopping the connectoe
`XmppConversationFactory` | `getConversationFactory()`
`String` | `getHost()`
`String` | `getPassword()`
`int` | `getPort()`
`String` | `getProtocol()`
`protected static String` | `getRecipient(ImmutableEndpoint endpoint)`
`String` | `getResource()`
`String` | `getServiceName()`
`String` | `getUser()`
`protected org.jivesoftware.smack.XMPPConnection` | `getXmppConnection()`
`boolean` | `isCreateAccount()`
`boolean` | `isResponseEnabled()`
`void` | `setConversationFactory(XmppConversationFactory conversationFactory)`
`void` | `setCreateAccount(boolean createAccount)`
`void` | `setHost(String host)`
`void` | `setPassword(String password)`
`void` | `setPort(int port)`
`void` | `setResource(String resource)`
`void` | `setServiceName(String serviceName)`
`void` | `setUser(String user)`

Methods inherited from class org.mule.transport.AbstractConnector
`clearDispatchers, clearRequesters, configureDispatcherPool, connect, createDispatcherMessageProcessor, createMuleMessageFactory, createReceiver, createScheduler, destroyReceiver, disconnect, dispose, disposeReceivers, disposeWorkManagers, doUnregisterListener, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultExchangePattern, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherPoolFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getInboundExchangePatterns, getLifecycleState, getMaxDispatchersActive, getMaxRequestersActive, getMaxTotalDispatchers, getMuleContext, getMuleMessageFactory, getName, getNumberOfConcurrentTransactedReceivers, getOutboundExchangePatterns, getOutputStream, getReceiver, getReceiverKey, getReceivers, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getReplyToHandler, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isInitialised, isInitialStateStopped, isStarted, isStopped, isValidateConnections, lookupReceiver, registerListener, registerSupportedMetaProtocol, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, setConnected, setCreateMultipleTransactedReceivers, setDispatcherFactory, setDispatcherPoolFactory, setDispatcherPoolMaxWait, setDispatcherPoolWhenExhaustedAction, setDispatcherThreadingProfile, setDynamicNotification, setInitialStateStopped, setMaxDispatchersActive, setMaxRequestersActive, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterPoolMaxWait, setRequesterPoolWhenExhaustedAction, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, shutdownScheduler, start, startAfterConnect, stop, supportsProtocol, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XMPP

    public static final String XMPP

See Also:
  Constant Field Values

### XMPP_RESOURCE

    public static final String XMPP_RESOURCE

See Also:
  Constant Field Values

### XMPP_SUBJECT

    public static final String XMPP_SUBJECT

See Also:
  Constant Field Values

### XMPP_THREAD

    public static final String XMPP_THREAD

See Also:
  Constant Field Values

### XMPP_TO

    public static final String XMPP_TO

See Also:
  Constant Field Values

### XMPP_FROM

    public static final String XMPP_FROM

See Also:
  Constant Field Values

### XMPP_GROUP_CHAT

    public static final String XMPP_GROUP_CHAT

See Also:
  Constant Field Values

### XMPP_NICKNAME

    public static final String XMPP_NICKNAME

See Also:
  Constant Field Values

### XMPP_RECIPIENT

    public static final String XMPP_RECIPIENT

See Also:
  Constant Field Values

### XMPP_TYPE

    public static final String XMPP_TYPE

See Also:
  Constant Field Values

Constructor Detail

### XmppConnector

    public XmppConnector(MuleContext context)

Method Detail

### getRecipient

    protected static String getRecipient(ImmutableEndpoint endpoint)

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Specified by:
    `doInitialise` in class `AbstractConnector`
  Throws:
    `InitialisationException`

### doDispose

    protected void doDispose()

  Description copied from class: `AbstractConnector`
  Template method to perform any work when destroying the connectoe

  Specified by:
    `doDispose` in class `AbstractConnector`

### doConnect

    protected void doConnect()
                      throws Exception

  Description copied from class: `AbstractConnector`
  Template method where any connections should be made for the connector

  Specified by:
    `doConnect` in class `AbstractConnector`
  Throws:
    `Exception`

### doDisconnect

    protected void doDisconnect()
                         throws Exception

  Description copied from class: `AbstractConnector`
  Template method where any connected resources used by the connector should be disconnected

  Specified by:
    `doDisconnect` in class `AbstractConnector`
  Throws:
    `Exception`

### doStart

    protected void doStart()
                    throws MuleException

  Description copied from class: `AbstractConnector`
  Template method to perform any work when starting the connectoe

  Specified by:
    `doStart` in class `AbstractConnector`
  Throws:
    `MuleException` - if the method fails

### doStop

    protected void doStop()
                   throws MuleException

  Description copied from class: `AbstractConnector`
  Template method to perform any work when stopping the connectoe

  Specified by:
    `doStop` in class `AbstractConnector`
  Throws:
    `MuleException` - if the method fails

### getProtocol

    public String getProtocol()

  Returns:
    the primary protocol name for endpoints of this connector

### createXmppConnection

    protected void createXmppConnection()
                                 throws org.jivesoftware.smack.XMPPException

  Throws:
    `org.jivesoftware.smack.XMPPException`

### connectToJabberServer

    protected void connectToJabberServer()
                                  throws org.jivesoftware.smack.XMPPException

  Throws:
    `org.jivesoftware.smack.XMPPException`

### isResponseEnabled

    public boolean isResponseEnabled()

  Specified by:
    `isResponseEnabled` in interface `Connector`
  Overrides:
    `isResponseEnabled` in class `AbstractConnector`

### getHost

    public String getHost()

### setHost

    public void setHost(String host)

### getPort

    public int getPort()

### setPort

    public void setPort(int port)

### getServiceName

    public String getServiceName()

### setServiceName

    public void setServiceName(String serviceName)

### getUser

    public String getUser()

### setUser

    public void setUser(String user)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getResource

    public String getResource()

### setResource

    public void setResource(String resource)

### isCreateAccount

    public boolean isCreateAccount()

### setCreateAccount

    public void setCreateAccount(boolean createAccount)

### getConversationFactory

    public XmppConversationFactory getConversationFactory()

### setConversationFactory

    public void setConversationFactory(XmppConversationFactory conversationFactory)

### getXmppConnection

    protected org.jivesoftware.smack.XMPPConnection getXmppConnection()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.